Bug 163248 - ifenslave adds interfaces to bond regardless of errors encountered during enslave process
Summary: ifenslave adds interfaces to bond regardless of errors encountered during ens...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iputils   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156322 170734
TreeView+ depends on / blocked
 
Reported: 2005-07-14 13:55 UTC by Neil Horman
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-610
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 15:44:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
latest version of ifenslave (29.28 KB, text/plain)
2005-07-14 13:55 UTC, Neil Horman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:610 qe-ready SHIPPED_LIVE iputils bug fix update 2005-10-05 04:00:00 UTC

Description Neil Horman 2005-07-14 13:55:31 UTC
Description of problem:
The current version of ifenslave adds an interface to a bonded interface
regardless of errors encountered during the enslave process.  In particular,
this behavior can be seen when the bond interface MTU cannot be set on a slave
device.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.install 2 nics in a machine
2.set the bond mtu to a value that is unsupported by one of the physical interfaces
3.ifensalve the physical interfaces to the bond.
  
Actual results:
Errors regarding failure to set MTU will be generated, but interface will still
be enslaved (IFF_SLAVE will be set on the interface).


Expected results:
Slave should not be added to bond when errors are encountered.

Additional info:
The latest version of ifenslave is able to unwind changes that it makes so that
it can return the slave interface to its origional state in the event of an error

Comment 1 Neil Horman 2005-07-14 13:55:31 UTC
Created attachment 116753 [details]
latest version of ifenslave

Comment 2 Radek Vokal 2005-07-15 08:59:54 UTC
Which version of ifenslave are they currently using? Cos there's no difference
between to one you've attached and the one we ship in RHEL4. iputils-20020927-18
already include ifenslave 1.1.0. 

Comment 3 Neil Horman 2005-07-15 11:00:20 UTC
They're using the ifenslave version from the U1 package, iputils-20020927-16,
which is what shipped with RHEL4-U1 and is the latest available on RHN.  It uses
ifenslave.c version 1.0.12, not 1.1.0.  Can you confirm that iputils-20020927-18
uses ifenslave 1.1.0 and will be available in U2?  

Comment 4 Radek Vokal 2005-07-15 11:11:33 UTC
Aha, I haven't realized that -18 version didn't make it to RHEL4 base - strange,
cos the split happened with -18 version. There's no update scheduled for iputils
so far, I'm adding this bug on proposed list but I can't promise it will appear
in U2 as it's the only bugfix in this package. 

Comment 10 Red Hat Bugzilla 2005-10-05 15:44:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-610.html



Note You need to log in before you can comment on or make changes to this bug.